
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_estadoTipoDocumento_subtipoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_estadoTipoDocumento_subtipoDocumento]
GO
CREATE PROCEDURE [reg_doc_estadoTipoDocumento_subtipoDocumento]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[estadoTipoDocumento_subtipoDocumento] AS [estadoTipoDocumento_subtipoDocumento],
		[id_estadoTipoDocumento] AS [id_estadoTipoDocumento],
		[id_subtipoDocumento] AS [id_subtipoDocumento],
		[id_estadoTipoDocumento_destino] AS [id_estadoTipoDocumento_destino],
		[sp_ejecucionfinal] AS [sp_ejecucionfinal],
		[tiempoDeEjecucion] AS [tiempoDeEjecucion]
	FROM [doc_estadoTipoDocumento_subtipoDocumento]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_doc_estadoTipoDocumento_subtipoDocumento]')) DROP VIEW [dbo].[view_doc_estadoTipoDocumento_subtipoDocumento]
GO
CREATE  VIEW [view_doc_estadoTipoDocumento_subtipoDocumento] AS
SELECT 	[doc_estadoTipoDocumento_subtipoDocumento].[id] AS [id],
		[doc_estadoTipoDocumento_subtipoDocumento].[uid] AS [uid],
		[doc_estadoTipoDocumento_subtipoDocumento].[eid] AS [eid],
		[doc_estadoTipoDocumento_subtipoDocumento].[id_usuario_modifico] AS [id_usuario_modifico],
		[doc_estadoTipoDocumento_subtipoDocumento].[id_usuario_creo] AS [id_usuario_creo],
		[doc_estadoTipoDocumento_subtipoDocumento].[fechaModificacion] AS [fechaModificacion],
		[doc_estadoTipoDocumento_subtipoDocumento].[fechaCreacion] AS [fechaCreacion],
		[doc_estadoTipoDocumento_subtipoDocumento].[active] AS [active],
		[doc_estadoTipoDocumento_subtipoDocumento].[estadoTipoDocumento_subtipoDocumento] AS [estadoTipoDocumento_subtipoDocumento],
		[doc_estadoTipoDocumento_subtipoDocumento].[id_estadoTipoDocumento] AS [id_estadoTipoDocumento],
[doc_estadoTipoDocumento].[estadoTipoDocumento] as [doc_estadoTipoDocumento_estadoTipoDocumento],
[doc_estadoTipoDocumento].[estadoTipoDocumento_codigo] as [doc_estadoTipoDocumento_estadoTipoDocumento_codigo],
[doc_estadoTipoDocumento].[afectaIndicador] as [doc_estadoTipoDocumento_afectaIndicador],
[doc_estadoTipoDocumento].[editaDocumento] as [doc_estadoTipoDocumento_editaDocumento],
[doc_estadoTipoDocumento].[orden] as [doc_estadoTipoDocumento_orden],
[doc_estadoTipoDocumento].[puedeRegresar] as [doc_estadoTipoDocumento_puedeRegresar],
[doc_estadoTipoDocumento].[color] as [doc_estadoTipoDocumento_color],
[doc_estadoTipoDocumento].[afectaInventario] as [doc_estadoTipoDocumento_afectaInventario],
[doc_estadoTipoDocumento].[id_tipoDocumento] as [doc_estadoTipoDocumento_id_tipoDocumento],
[doc_estadoTipoDocumento].[descripcion] as [doc_estadoTipoDocumento_descripcion],
[doc_estadoTipoDocumento].[observacionesObligatorio] as [doc_estadoTipoDocumento_observacionesObligatorio],
[doc_estadoTipoDocumento].[motivoObligatorio] as [doc_estadoTipoDocumento_motivoObligatorio],
		[doc_estadoTipoDocumento_subtipoDocumento].[id_subtipoDocumento] AS [id_subtipoDocumento],
[doc_subtipoDocumento].[subtipoDocumento] as [doc_subtipoDocumento_subtipoDocumento],
[doc_subtipoDocumento].[subtipoDocumento_codigo] as [doc_subtipoDocumento_subtipoDocumento_codigo],
[doc_subtipoDocumento].[prefijo] as [doc_subtipoDocumento_prefijo],
[doc_subtipoDocumento].[consecutivo] as [doc_subtipoDocumento_consecutivo],
[doc_subtipoDocumento].[id_tipoDocumento] as [doc_subtipoDocumento_id_tipoDocumento],
[doc_subtipoDocumento].[programarPlaneadas] as [doc_subtipoDocumento_programarPlaneadas],
[doc_subtipoDocumento].[cargarSolicitante] as [doc_subtipoDocumento_cargarSolicitante],
[doc_subtipoDocumento].[verCentroCosto] as [doc_subtipoDocumento_verCentroCosto],
[doc_subtipoDocumento].[verIncoterm] as [doc_subtipoDocumento_verIncoterm],
[doc_subtipoDocumento].[valUrgente] as [doc_subtipoDocumento_valUrgente],
[doc_subtipoDocumento].[bloquearDespacho] as [doc_subtipoDocumento_bloquearDespacho],
[doc_subtipoDocumento].[cerrarSol] as [doc_subtipoDocumento_cerrarSol],
[doc_subtipoDocumento].[ejecutaDevolucion] as [doc_subtipoDocumento_ejecutaDevolucion],
[doc_subtipoDocumento].[tipoCobro] as [doc_subtipoDocumento_tipoCobro],
[doc_subtipoDocumento].[mostrarPendienteDocumento] as [doc_subtipoDocumento_mostrarPendienteDocumento],
[doc_subtipoDocumento].[cantidadAuxiliar] as [doc_subtipoDocumento_cantidadAuxiliar],
		[doc_estadoTipoDocumento_subtipoDocumento].[id_estadoTipoDocumento_destino] AS [id_estadoTipoDocumento_destino],
[doc_estadoTipoDocumento_destino].[estadoTipoDocumento] as [doc_estadoTipoDocumento_destino_estadoTipoDocumento],
[doc_estadoTipoDocumento_destino].[estadoTipoDocumento_codigo] as [doc_estadoTipoDocumento_destino_estadoTipoDocumento_codigo],
[doc_estadoTipoDocumento_destino].[afectaIndicador] as [doc_estadoTipoDocumento_destino_afectaIndicador],
[doc_estadoTipoDocumento_destino].[editaDocumento] as [doc_estadoTipoDocumento_destino_editaDocumento],
[doc_estadoTipoDocumento_destino].[orden] as [doc_estadoTipoDocumento_destino_orden],
[doc_estadoTipoDocumento_destino].[puedeRegresar] as [doc_estadoTipoDocumento_destino_puedeRegresar],
[doc_estadoTipoDocumento_destino].[color] as [doc_estadoTipoDocumento_destino_color],
[doc_estadoTipoDocumento_destino].[afectaInventario] as [doc_estadoTipoDocumento_destino_afectaInventario],
[doc_estadoTipoDocumento_destino].[id_tipoDocumento] as [doc_estadoTipoDocumento_destino_id_tipoDocumento],
[doc_estadoTipoDocumento_destino].[descripcion] as [doc_estadoTipoDocumento_destino_descripcion],
[doc_estadoTipoDocumento_destino].[observacionesObligatorio] as [doc_estadoTipoDocumento_destino_observacionesObligatorio],
[doc_estadoTipoDocumento_destino].[motivoObligatorio] as [doc_estadoTipoDocumento_destino_motivoObligatorio],
		[doc_estadoTipoDocumento_subtipoDocumento].[sp_ejecucionfinal] AS [sp_ejecucionfinal],
		[doc_estadoTipoDocumento_subtipoDocumento].[tiempoDeEjecucion] AS [tiempoDeEjecucion],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [doc_estadoTipoDocumento_subtipoDocumento]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_estadoTipoDocumento_subtipoDocumento].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_estadoTipoDocumento_subtipoDocumento].[id_usuario_creo]
	INNER JOIN [doc_estadoTipoDocumento] ON [doc_estadoTipoDocumento].id=[doc_estadoTipoDocumento_subtipoDocumento].[id_estadoTipoDocumento]
	INNER JOIN [doc_subtipoDocumento] ON [doc_subtipoDocumento].id=[doc_estadoTipoDocumento_subtipoDocumento].[id_subtipoDocumento]
	INNER JOIN [doc_estadoTipoDocumento] AS [doc_estadoTipoDocumento_destino] ON [doc_estadoTipoDocumento_destino].id=[doc_estadoTipoDocumento_subtipoDocumento].[id_estadoTipoDocumento_destino]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [doc_estadoTipoDocumento_subtipoDocumento].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_modifico]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_creo]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento]
	@p_id_estadoTipoDocumento INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
	WHERE ([id_estadoTipoDocumento]= @p_id_estadoTipoDocumento)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXsubtipoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXsubtipoDocumento]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentosXsubtipoDocumento]
	@p_id_subtipoDocumento INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
	WHERE ([id_subtipoDocumento]= @p_id_subtipoDocumento)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento_destino]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento_destino]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento_destino]
	@p_id_estadoTipoDocumento_destino INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
	WHERE ([id_estadoTipoDocumento_destino]= @p_id_estadoTipoDocumento_destino)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentos]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentos]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_estadoTipoDocumento_subtipoDocumentos]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_estadoTipoDocumento_subtipoDocumentos]
GO
CREATE PROCEDURE [lis_doc_estadoTipoDocumento_subtipoDocumentos]
	AS
BEGIN
	SELECT id AS id,
[estadoTipoDocumento_subtipoDocumento] AS [doc_estadoTipoDocumento_subtipoDocumento]
	FROM [doc_estadoTipoDocumento_subtipoDocumento]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_doc_estadoTipoDocumento_subtipoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_doc_estadoTipoDocumento_subtipoDocumento]
GO
CREATE PROCEDURE [upd_doc_estadoTipoDocumento_subtipoDocumento]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_estadoTipoDocumento_subtipoDocumento varchar(300) = null,
		@p_id_estadoTipoDocumento int = null,
		@p_id_subtipoDocumento int = null,
		@p_id_estadoTipoDocumento_destino int = null,
		@p_sp_ejecucionfinal varchar(300) = null,
		@p_tiempoDeEjecucion float = null
AS
BEGIN
		UPDATE [doc_estadoTipoDocumento_subtipoDocumento]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[estadoTipoDocumento_subtipoDocumento] = isnull(@p_estadoTipoDocumento_subtipoDocumento,[estadoTipoDocumento_subtipoDocumento]),
			[id_estadoTipoDocumento] = isnull(@p_id_estadoTipoDocumento,[id_estadoTipoDocumento]),
			[id_subtipoDocumento] = isnull(@p_id_subtipoDocumento,[id_subtipoDocumento]),
			[id_estadoTipoDocumento_destino] = isnull(@p_id_estadoTipoDocumento_destino,[id_estadoTipoDocumento_destino]),
			[sp_ejecucionfinal] = isnull(@p_sp_ejecucionfinal,[sp_ejecucionfinal]),
			[tiempoDeEjecucion] = isnull(@p_tiempoDeEjecucion,[tiempoDeEjecucion])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_estadoTipoDocumento_subtipoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_doc_estadoTipoDocumento_subtipoDocumento]
GO
CREATE PROCEDURE [ins_doc_estadoTipoDocumento_subtipoDocumento]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_estadoTipoDocumento_subtipoDocumento varchar(300),
		@p_id_estadoTipoDocumento int,
		@p_id_subtipoDocumento int,
		@p_id_estadoTipoDocumento_destino int,
		@p_sp_ejecucionfinal varchar(300),
		@p_tiempoDeEjecucion float
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_estadoTipoDocumento_subtipoDocumento]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[estadoTipoDocumento_subtipoDocumento],
			[id_estadoTipoDocumento],
			[id_subtipoDocumento],
			[id_estadoTipoDocumento_destino],
			[sp_ejecucionfinal],
			[tiempoDeEjecucion])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_estadoTipoDocumento_subtipoDocumento,
			@p_id_estadoTipoDocumento,
			@p_id_subtipoDocumento,
			@p_id_estadoTipoDocumento_destino,
			@p_sp_ejecucionfinal,
			@p_tiempoDeEjecucion)
		SET @v_id = scope_identity()
UPDATE [doc_estadoTipoDocumento_subtipoDocumento] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_doc_estadoTipoDocumento_subtipoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_doc_estadoTipoDocumento_subtipoDocumento]
GO
CREATE PROCEDURE [act_doc_estadoTipoDocumento_subtipoDocumento]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [doc_estadoTipoDocumento_subtipoDocumento]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_estadoTipoDocumento_subtipoDocumento_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_estadoTipoDocumento_subtipoDocumento_m]
GO
CREATE PROCEDURE [reg_doc_estadoTipoDocumento_subtipoDocumento_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[estadoTipoDocumento_subtipoDocumento] AS [estadoTipoDocumento_subtipoDocumento],
		[id_estadoTipoDocumento] AS [id_estadoTipoDocumento],
		[id_subtipoDocumento] AS [id_subtipoDocumento],
		[id_estadoTipoDocumento_destino] AS [id_estadoTipoDocumento_destino],
		[sp_ejecucionfinal] AS [sp_ejecucionfinal],
		[tiempoDeEjecucion] AS [tiempoDeEjecucion]
	FROM [doc_estadoTipoDocumento_subtipoDocumento]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_creo_m]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentosXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento_m]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento_m]
	@p_id_estadoTipoDocumento INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
	WHERE ([id_estadoTipoDocumento]= @p_id_estadoTipoDocumento)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXsubtipoDocumento_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXsubtipoDocumento_m]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentosXsubtipoDocumento_m]
	@p_id_subtipoDocumento INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
	WHERE ([id_subtipoDocumento]= @p_id_subtipoDocumento)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento_destino_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento_destino_m]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentosXestadoTipoDocumento_destino_m]
	@p_id_estadoTipoDocumento_destino INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
	WHERE ([id_estadoTipoDocumento_destino]= @p_id_estadoTipoDocumento_destino)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_estadoTipoDocumento_subtipoDocumentos_m]
GO
CREATE PROCEDURE [sel_doc_estadoTipoDocumento_subtipoDocumentos_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_estadoTipoDocumento_subtipoDocumento]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_estadoTipoDocumento_subtipoDocumentos_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_estadoTipoDocumento_subtipoDocumentos_m]
GO
CREATE PROCEDURE [lis_doc_estadoTipoDocumento_subtipoDocumentos_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[estadoTipoDocumento_subtipoDocumento] AS [doc_estadoTipoDocumento_subtipoDocumento]
	FROM [doc_estadoTipoDocumento_subtipoDocumento]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_doc_estadoTipoDocumento_subtipoDocumento]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_doc_estadoTipoDocumento_subtipoDocumento]
GO
CREATE PROCEDURE [aud_doc_estadoTipoDocumento_subtipoDocumento]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [doc_estadoTipoDocumento_subtipoDocumento].id as id_tabla,
	[doc_estadoTipoDocumento_subtipoDocumento].id_usuario_modifico as id_usuario_modifico,
	[doc_estadoTipoDocumento_subtipoDocumento].id_usuario_creo as id_usuario_creo,
	[doc_estadoTipoDocumento_subtipoDocumento].fechaModificacion as fechaModificacion,
	[doc_estadoTipoDocumento_subtipoDocumento].fechaCreacion as fechaCreacion,
	[doc_estadoTipoDocumento_subtipoDocumento].active as active,
	[doc_estadoTipoDocumento_subtipoDocumento].[estadoTipoDocumento_subtipoDocumento] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [doc_estadoTipoDocumento_subtipoDocumento]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_estadoTipoDocumento_subtipoDocumento].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_estadoTipoDocumento_subtipoDocumento].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'doc_estadoTipoDocumento_subtipoDocumento'
-----------------------------------21/02/2022 8:10:20 p. m.